reverted:
--- ample-0.5.7/debian/postinst
+++ ample-0.5.7.orig/debian/postinst
@@ -1,37 +0,0 @@
-#!/bin/sh
-# postinst script for ample
-#
-
-set -e
-
-case "$1" in
-    configure)
-    if [ ! -d /var/run/ample ]; then
-	    # old postrm removed /var/run/ample even on 'upgrade'
-	    mkdir /var/run/ample
-    fi 
-    
-    # don't override local permissions if they are setted with dpkg-statoverride
-    if ! dpkg-statoverride --list /var/run/ample >/dev/null; then
-            chown nobody:nogroup /var/run/ample
-    fi
-
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
-
-
diff -u ample-0.5.7/debian/postrm ample-0.5.7/debian/postrm
--- ample-0.5.7/debian/postrm
+++ ample-0.5.7/debian/postrm
@@ -5,12 +5,7 @@
 case "$1" in
     purge|remove)
     if [ -d /var/run/ample ]; then
-        rmdir /var/run/ample
-	
-	# delete override if exists
-	if dpkg-statoverride --list /var/run/ample >/dev/null; then
-		dpkg-statoverride --remove /var/run/ample >/dev/null
-	fi
+        rmdir /var/run/ample || true
     fi
     ;;
     upgrade|abort-upgrade|failed-upgrade|abort-install|disapper)
diff -u ample-0.5.7/debian/init.d ample-0.5.7/debian/init.d
--- ample-0.5.7/debian/init.d
+++ ample-0.5.7/debian/init.d
@@ -1,13 +1,13 @@
 #! /bin/sh
 ### BEGIN INIT INFO
 # Provides:          ample
-# Required-Start:    $network
-# Required-Stop:     
+# Required-Start:    $remote_fs $network
+# Required-Stop:     $remote_fs
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
 # Short-Description: Ample MP3 server
 # Description:       Simple MP3 Server
-#                   
+#
 ### END INIT INFO
 
 # Author: Rene Mayorga <rmayorga@debian.org.sv>
@@ -27,8 +27,8 @@
 # Read configuration variable file if it is present
 [ -r /etc/default/$NAME ] && . /etc/default/$NAME
 
-if [ -z "$STARTAMPLE" ] ; then 
-	exit 0 
+if [ -z "$STARTAMPLE" ] ; then
+	exit 0
 fi
 
 if [ "$STARTAMPLE" != "no" ] ; then
@@ -43,6 +43,13 @@
 
 . /lib/lsb/init-functions
 
+if ! [ -d /var/run/ample ] ; then
+	mkdir -p /var/run/ample || true
+	if [ -d /var/run/ample ] ; then
+		chown ${DEFUSER:-nobody}:${DEFGROUP:-nogroup} /var/run/ample
+	fi
+fi
+
 do_start()
 {
 	# Return
diff -u ample-0.5.7/debian/changelog ample-0.5.7/debian/changelog
--- ample-0.5.7/debian/changelog
+++ ample-0.5.7/debian/changelog
@@ -1,3 +1,12 @@
+ample (0.5.7-6.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Create /var/run/ample at startup, Thanks to Thomas Goirand for the patch.
+    (Closes: #689769)
+  * Depend on $remote_fs ini init script.
+
+ -- Ulrich Dangel <uli@debian.org>  Sat, 03 Nov 2012 13:53:23 +0000
+
 ample (0.5.7-6) unstable; urgency=low
 
   * debian/postrm 
diff -u ample-0.5.7/debian/ample.dirs ample-0.5.7/debian/ample.dirs
--- ample-0.5.7/debian/ample.dirs
+++ ample-0.5.7/debian/ample.dirs
@@ -2 +1,0 @@
-var/run/ample
